Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLTable

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLTable

Direct Known Subclasses:
  TableControl

public class HTMLTable
extends HTMLElement

Represents an HTML TABLE. You populate the table by adding rows to it. A row may be any HTMLElement.

Version:
  PUBLIC

Field Summary
`protected java.util.Vector` | `Headers`
`protected java.util.Vector` | `Rows`
`protected java.lang.String` | `sWidth`
`protected java.lang.String` | `Title`
`protected boolean` | `useBorder`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLTable()`

Method Summary
`void` | `addFixedHeader(java.lang.String sText, java.lang.String sWidth)` Adds a fixed header row to the table.
`void` | `addHeader(java.lang.String sText)` Adds a header to the table.
`void` | `addHeader(java.lang.String sText, java.lang.String sColSpan)` Adds a column spanning header to the table.
`void` | `addHeader(java.lang.String sText, java.lang.String sColSpan, java.lang.String sWidth)` Adds a column spanning header to the table.
`void` | `addHeaderRow(java.lang.String sText, java.lang.String sColSpan)` Adds a header row to the table.
`void` | `addRow(HTMLElement row)` Adds a new row to the HTML TABLE.
`java.lang.String` | `getWidth()`
`void` | `insertRow(HTMLElement row)` Inserts a new row to the beginning of the HTML TABLE.
`void` | `render(java.io.PrintWriter out)`
`void` | `setTitle(java.lang.String Title)` Sets the HTML TABLE'S title
`void` | `setUseBorder(boolean useBorder)` Sets whether the table will use borders or not.
`void` | `setWidth(java.lang.String sWidth)` Sets the table's width.

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Headers

    protected java.util.Vector Headers

### Rows

    protected java.util.Vector Rows

### Title

    protected java.lang.String Title

### useBorder

    protected boolean useBorder

### sWidth

    protected java.lang.String sWidth

Constructor Detail

### HTMLTable

    public HTMLTable()

Method Detail

### setUseBorder

    public void setUseBorder(boolean useBorder)

  Sets whether the table will use borders or not.

### setWidth

    public void setWidth(java.lang.String sWidth)

  Sets the table's width. e.g. "100%" or "90%"

### getWidth

    public java.lang.String getWidth()

### addHeader

    public void addHeader(java.lang.String sText)

  Adds a header to the table.
  Parameters:
    `sText` - header title

### addHeaderRow

    public void addHeaderRow(java.lang.String sText,
                             java.lang.String sColSpan)

  Adds a header row to the table. A header row is a header that spans more than one column. This header actually adds a new row to the table.
  Parameters:
    `sText` - header title
    `sColSpan` - the colspan of the new header

### addFixedHeader

    public void addFixedHeader(java.lang.String sText,
                               java.lang.String sWidth)

  Adds a fixed header row to the table.
  Parameters:
    `sText` - header title
    `sWidth` - the width of the new header

### addHeader

    public void addHeader(java.lang.String sText,
                          java.lang.String sColSpan)

  Adds a column spanning header to the table. This header will not cause a new row to be added.
  Parameters:
    `sText` - new header's title
    `sColSpan` - number of columns for the header to span

### addHeader

    public void addHeader(java.lang.String sText,
                          java.lang.String sColSpan,
                          java.lang.String sWidth)

  Adds a column spanning header to the table. This header will not cause a new row to be added. You can also specify a width for this new header.
  Parameters:
    `sText` - new header's title
    `sColSpan` - number of columns for the header to span
    `sWidth` - the width of the new header

### setTitle

    public void setTitle(java.lang.String Title)

  Sets the HTML TABLE'S title

### addRow

    public void addRow(HTMLElement row)

  Adds a new row to the HTML TABLE.
  Parameters:
    `row` - HTMLElement that is repsonsible for rendering the contents of the new row.

### insertRow

    public void insertRow(HTMLElement row)

  Inserts a new row to the beginning of the HTML TABLE.
  Parameters:
    `row` - HTMLElement that is repsonsible for rendering the contents of the new row.

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Overrides:
    render in class HTMLElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD